#include <iostream>
using namespace std;

int brojCifara(int broj){
	int rez = 0;
	while(broj != 0){
		broj /= 10; 
		rez++;
	}
	return rez;
}
int Sudari(int a, int b){
	int cifraa, cifrab, rez = 0;
	while(b != 0){
			cifraa = a%10; 
			cifrab = b%10;
			a/=10;
			b/=10;
			if(cifraa > cifrab)
				rez = rez*10 + cifraa;
			else if(cifrab > cifraa) 
					rez = rez * 10 + cifrab;
			else
				rez = (rez * 10 + cifrab) * 10 + cifrab;
			
		}
		while(a != 0){
			rez = rez * 10 + (a % 10);
			a/=10;
		}
		return rez;
}
int Obrni(int a){
	int rez = 0, ostatak;
	while(a != 0){
		ostatak = a % 10;
		rez = rez * 10 + ostatak;
		a/=10;
	}
	return rez;
}
int main(){
	int a, b, rez = 0;
	cin >> a >> b;
	int brojcifaraa = brojCifara(a);
	int brojcifarab = brojCifara(b);
	if(brojcifaraa > brojcifarab)
		rez = Sudari(a,b);
	else
		rez = Sudari(b,a);
	rez = Obrni(rez);
	cout << rez;
}